/*========== search form css start ====================*/
/* paginatedata css start */
#paginatedata { width: 100%; float: left;}
#paginatedata span.right{letter-spacing: -4px;color: transparent;}
#paginatedata .right span{letter-spacing: initial;}
#paginatedata .right span a, #paginatedata .right span.prev, #paginatedata .right span.next, #paginatedata .right span.current, #paginatedata .right span.current{position: relative;
    float: left;
    padding: 6px 12px;
    margin-left: -1px;
    line-height: 1.42857143;
    color: #337ab7;
    text-decoration: none;
    background-color: #fff;
    border: 1px solid #ddd;}
	
#paginatedata .right span.prev, #paginatedata .right span.next {cursor: not-allowed !important;
    border: 1px solid #ddd !important;}
#paginatedata .right span.prev a, #paginatedata .right span.next a, #paginatedata .right span.prev, #paginatedata .right span.next{
    cursor: pointer;
    border: none;
    min-width: 80px;
    text-align: center;
    background: transparent;
    cursor: pointer;
    height: 34px;
    padding: 0 0 0 0;
    line-height: 33px;
}

#paginatedata .right span.current{
    z-index: 2;
    color: #fff;
    cursor: default;
    background-color: #337ab7;
    border-color: #337ab7;
}
#paginatedata .right span a:focus, 
#paginatedata .right span a:hover, 
#paginatedata .right span:focus, 
#paginatedata .right span:hover {
    color: #23527c;
    background-color: #eee;
    border-color: #ddd;
}
/* paginatedata css end */
.popboxcontent{padding:5px;}
.forminternal { border: 1px solid #d2d2d2; padding: 10px;float: left;width:100%;}

.forminternal form div.input, .forminternal form div.checkbox, .forminternal.customformwidth .submitnow { float: left;padding: 0px 0px 15px 0px;width: 100%;margin-bottom:0px;}

.forminternal form .indexpagesubmit label, .forminternal form .btn_font{ display: none;}
.forminternal form .input.submit .submit { padding: 0px;}
input:focus, textarea:focus, select:focus { outline-offset: 0px;outline: none;}

.forminternal form div.input label {
    display: inline-block;
    max-width: 25%;
    margin-bottom: 5px;
    font-weight: normal;
    float: left;
    color: #555;
    line-height: 1.42857;
    font-family: "Lato", sans-serif;
    font-size: 13px;
}

.popboxcontent .forminternal form .submitnow{margin-left:25%;}
.popboxcontent .forminternal .toggleTextarea button#submitnow{margin-left:25% !important;}


.forminternal form .checkbox input[type=checkbox] {float: right; position: relative;width: 20px;cursor:pointer;}
.forminternal form .checkbox label {margin-left: 0px;padding-left: 0px;}

.forminternal input, 
.forminternal select,
.forminternal textarea, 
.forminternal .resetbtn a,
.forminternal #reportrange,
.forminternal .chosen-container .chosen-single,
.forminternal .chosen-container-multi .chosen-choices
{
    border-left-width: 1px;
    border-right-width: 1px;
    padding-left: 10px;
    min-height: 35px;
    border-radius: 4px;
    border: 1px solid #d7d7d7;
    margin: 0px ;
    display: table-cell;
    position: relative;
    z-index: 2;
    float: right;
    width: 100%;
    background-color: #f8f8f8;
    box-shadow: none;
    padding: 6px 12px;
    font-size: 13px;
    line-height: 1.42857;
    color: #555555;
    background-image: none;
    -webkit-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    -o-transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
    font-family: "Lato", sans-serif;
    max-width: 75%;
}

.forminternal .chosen-container {min-width: 195px; padding-right: 0px;}
.forminternal .chosen-container .chosen-drop{padding: 0 15px 15px;}
.forminternal .rescal {position: relative;}
.forminternal .rescal label.fa.fa-calendar { position: absolute;right: 25px;top: 11px;z-index: 3; cursor: pointer;}
.displaynone{display:none;}

.forminternal input[type="submit"], .forminternal input[type="button"], .forminternal button, .slidebtn, .actions a, .forminternal.customformwidth .input.resetbtn.marginleft #upload22, #contentcopy +div .download a, #summaryModal .sendnow button{
    font-size: 13px;
    font-weight: 400;
    border: none;
    padding: 8px 20px;
    border-radius: 3px;
    line-height: 16px!;
    -webkit-transition: background-color 2s;
    -moz-transition: background-color 2s;
    -o-transition: background-color 2s;
    transition: background-color 2s;
	background-color: #1591cd;
    color: #ffffff;
}

.forminternal input[type="submit"]:hover, .forminternal input[type="button"]:hover, .forminternal button:hover, .forminternal button:hover, .slidebtn:hover, .actions a:hover,.importfile #upload22:hover, .forminternal.customformwidth .input.resetbtn.marginleft #upload22:hover, #contentcopy +div .download a:hover,
#summaryModal .sendnow button:hover {
    background-color: #31ade9;
    color: #ffffff;
}
.forminternal input:required, .forminternal .must {
    background-image: url(../img/red_asterisk.gif);
    background-repeat: no-repeat;
    background-position: 98% center;
    background-size: 8px;
}

.chosen-container.chosen-container-multi{float: right;width: 75%;}
.multiDocument .chosen-container.chosen-container-multi, .resend .chosen-container.chosen-container-multi{float: right; width: 75% !important;}
.forminternal .chosen-container-multi .chosen-choices, .resend .chosen-container-multi .chosen-choices {width: 100%;max-width: 100%;padding: 0 0 0 0 ;}
.popboxcontent .forminternal .chosen-container {float: right;}
.popboxcontent .forminternal .chosen-container a.chosen-single, .popboxcontent .forminternal .chosen-container .chosen-results, .popboxcontent .forminternal .chosen-container-single .chosen-search input[type=text] {max-width: 100% !important;width:100%;}

.forminternal.resend .max_icon{display:none}  .forminternal.resend .right .max_icon{display:block;}
.clear {clear: both;}
.forminternal.resend .sendnow, .forminternal.resend .schedulesms {padding-top: 15px;padding-right: 15px;}
.forminternal.resend textarea#SmsSmscontent {max-width: 100%;}
.forminternal.resend .smscontent{ padding-bottom: 0px;}
.nopadding {padding: 0 0 0 0;}
.modal-header button.close, .modal-header button.close:hover {background: none;color: #595959; opacity: 1; font-size: 20px; padding: 0 0 0 0;}
.forminternal.resend #counttxt, .forminternal.resend #character, .forminternal.resend .smscounter.left, .forminternal.resend .max_icon.right{font-size:12px; color:#959595;}
table.message_alert {width: 100%;}
.simplecheckbox input#split_sms {width: 16px;}
#schedulepopup .modal-backdrop.fade.in { display: none;}
#schedulepopup .dtpcalendar{position:relative;}
#schedulepopup .dtp {
    background: url(../img/date.png) no-repeat center right !important;
    background-size: 15px 15px !important;
    cursor: pointer;
    opacity: .8;
    background-position: 96% 9px !important;
}

/* breadcrumb for popmodel for user */
#breadcrumb { overflow: hidden;min-width:450px;margin-bottom: 10px;}
#breadcrumb ul{margin:0px;}
#breadcrumb li { float: left; list-style-type: none; }
#breadcrumb li a {
    text-transform: capitalize;
    text-decoration: none;
    outline: none;
    display: block;
    float: left;
    font-size: 12px;
    line-height: 36px;
    color: white;
    padding: 0 10px 0 40px;
    background: #367fa9;
    position: relative;
}
#breadcrumb li a:after { 
    content: " ";
    display: block;
    width: 0;
    height: 0;
    border-top: 50px solid transparent;
    border-bottom: 50px solid transparent;
    border-left: 30px solid #367fa9;
    position: absolute;
    top: 50%;
    margin-top: -50px;
    left: 100%;
    z-index: 2;
}	
#breadcrumb li a:before { 
    content: " ";
    display: block;
    width: 0;
    height: 0;
    border-top: 50px solid transparent;
    border-bottom: 50px solid transparent;
    border-left: 30px solid white;
    position: absolute;
    top: 50%;
    margin-top: -50px;
    margin-left: 1px;
    left: 100%;
    z-index: 1;
}	
#breadcrumb li.last a:before {border-left: 30px solid #367fa9;margin-left: 0;}
#breadcrumb li:last-child a:after { border: 0; }
#breadcrumb li a:hover li.last a:before { color:#fff; }
#breadcrumb li.first a{margin-left:-40px}

table tr td a{color:#0B6B7B;}
table.listing thead th, table.listing th  a{color:#2971AE!important;}
table.listing .link a{color:#333}
table.listing th:last-child{color:#2971ae !important;}
table.listing {    width: 100%;
border: 1px dotted #A5A5A5;}
table tr:nth-child(2n+1){background:#fff !important}
table tr{background:# !important
}
table tr td {
border: 1px dotted #A5A5A5;
    font-size: 13px;
    padding: 6px;
}
table.listing.misreporttbl tr td {
word-break: break-all;
padding: 5px;
}

table tr:nth-child(2n+1){background:#fff !important}

.forminternal .expirydate{position:relative;}
.forminternal label.fa.fa-calendar {
    z-index: 9;
    top: 10px;
    position: absolute;
    right: 0px;
    width: 20px;
    cursor: pointer;
}
.forminternal label.fa-calendar:before {content: "\f073";font: normal normal normal 14px/1 FontAwesome;
    font-size: 16px;}
.forminternal .halfpart.showpwdbtn { float: right;text-align: right; margin-top: -15px;}	
/*  autosearch */
.ui-autocomplete .ui-menu-item {list-style-image: none; background: #3c8dbc;}
.ui-autocomplete .ui-menu-item a {color: #fff;}
.ui-state-hover,
.ui-widget-content .ui-state-hover,
.ui-widget-header .ui-state-hover,
.ui-state-focus,
.ui-widget-content .ui-state-focus,
.ui-widget-header .ui-state-focus{background:#367fa9 !important;border-color:transparent!important;cursor:pointer;}
/* ========= search form css end ============== */

/* datepicker */
.ui-datepicker { background: #fff;}
.ui-state-active, .ui-widget-content .ui-state-active, .ui-widget-header .ui-state-active { background: #367fa9;}
.ui-datepicker .ui-widget-header { background: #3c8dbc;
    background-repeat: repeat-x;
    background-image: -webkit-gradient(linear, left top, left bottom, from(rgb(60, 141, 188)), to(#367fa9));
    background-image: -webkit-linear-gradient(top, rgb(60, 141, 188), #367fa9);
    background-image: -moz-linear-gradient(top, rgb(60, 141, 188), #367fa9);
    background-image: -ms-linear-gradient(top, rgb(60, 141, 188), #367fa9);
    background-image: -o-linear-gradient(top, rgb(60, 141, 188), #367fa9);
    background-image: linear-gradient(top, rgb(60, 141, 188), #367fa9);
}
.ui-datepicker select{color: #000;
    font-weight: normal;
    font-size: 14px !important;}
/*-/- datepicker */

table.controlbtn {
    width: 100%;
}
fieldset.display_notify {
    border: 1px solid #CCCCCC;
    border-radius: 4px;
    padding: 15px;
}
.display_notify  legend {
    color: #1591cd;
    padding: 5px;
    border: 1px solid #CCC;
    font-size: 1em;
    font-weight: bold;
    text-transform: capitalize;
    font-family: Verdana, Arial, sans-serif;
    border-radius: 4px;
}
.onefourth {width: 25%; float: left;min-height: 1px;}
.halfpart{min-height: 1px; width: 50%;float: left;}
.left{float:left;}
.right{float:right;}
.displaybox .actions { padding-top: 15px;padding-bottom: 15px;}
.displaybox .halfpart.actions { text-align: center;}
.submitnow{ float: left;padding: 0;}
.alert.alert-success, .alert.alert-error, .alert.alert-message {position: relative;
    z-index: 9;
    width: 50%;
    float: none;
    margin: 0 auto;
    padding: 10px 15px;
    min-width: 300px;}
.alert.alert-message{background-color: #dd4b39;color: #fff;}
.alert .close { color: #fff; opacity: 1; text-decoration: none;}

.forminternal .intl-tel-input .flag-container {left: 25%; margin-left: 3px;}
.btn_font.fa {display: none;}

/* import file css */
.importfile #upload22{width: 115px;text-align: center;float: right;margin-top: -50px;background: #1591cd;
    color: white;}
.forminternal p.small { clear: both;text-align: right;}
.forminternal #btnSearch { width: auto;float: left;}

.daterangepicker { border-color: #dddddd; background: #ecf0f5;}
.daterangepicker .ranges {float: left !important;}
.daterangepicker .ranges .btn-primary, .daterangepicker .ranges .btn-primary:hover, .daterangepicker .ranges .btn-primary:focus { background-color: #0088cc !important; color: #fff;}

.forminternal .input.select .chosen-container.chosen-container-single{min-width:75%;width:75% !important;}

/* api bulder */
 input[type=radio] {float: left; position: relative;width: 20px;cursor:pointer;min-height:20px;}
.input.select.route.halfpart {width: 100%;}
.smstype {padding-top: 15px;display: block;float: right;}
.forminternal .smstype label {float: left; padding-right: 15px;}
.droptime, .onethird{width: 33.33%; float: left;}
#httpscheduleapi .input.type.expirydate.rescal, #httpscheduleapi .droptime select{padding:0;}
#httpscheduleapi .col-lg-6{width:50%; float:left;}
#httpscheduleapi .col-lg-6 input, #httpscheduleapi .col-lg-6 select{max-width:100%;}

.forminternal form .input.text.smscontent{ padding-bottom: 0px;}
.forminternal form .input.text.smscontent textarea, .forminternal form input#ftime, .forminternal form input#ttime{max-width:100%;}

#RouteEditForm .timepicker {display: block; float: left;padding-bottom: 15px;width:100%;}

.forminternal form .smscounter{padding-bottom: 15px !important;}

.error-message {color: #dd4b39; clear: both; float: right;}
.input.password.required.error .error-message { width: 75%;}


/*  no colorbox css */
.nocolorbox{position: absolute; top: 0px;right: 0;left: 0; background-color: #000; filter: alpha(opacity = 50);opacity: 0.9;
    height: 100%; padding: 0 0 0 0; width: 100%;font-family: "Open Sans",sans-serif;color: #777; line-height: 1.4em; border:none;}
.nocolorbox form{width: 100%; margin: 10% auto; max-width: 500px; display: table; background-color: #fff; padding: 7.5px 15px;
}
.nocolorbox .header { padding: 10px 0px; border-bottom: 1px solid #e5e5e5;margin-bottom: 15px;}
.nocolorbox .header a.goback, #timer{float: right; transition: color .1s ease-in-out,background .1s ease-in-out;color: #999;font-size: 13px;}
.text-danger {color: #db502e;}
.input.text.input-otp { margin-top: 15px;}
.nocolorbox .left.input.submitnow {max-width: 150px;}
/*-/-  no colorbox css */


/* shared template */
.sharedtemplatelist div#paginatedata { clear: both;padding: 15px 0;line-height: 34px;}
.sharedtemplatelist .forminternal form div.input{margin-right: 15px;padding-bottom: 0px;width: auto;}
.sharedtemplatelist .forminternal form div.input label{display:none;}
.sharedtemplatelist .forminternal form div.input input, .sharedtemplatelist .forminternal form .input.resetbtn a{max-width: 100%;}
.sharedtemplatelist table.listing th{ text-align: left;border: 1px dotted #a6a6a5;cursor: pointer;
    vertical-align: bottom;padding: 8px;color: #333 !important;}
.sharedtemp #charsnotifybtn {display: none;}	

/* whitelabelling  */
.whitelabelling .input small{width: 75%; max-width: 75%;clear: both;float: right;}
.whitelabelling .input.file {position: relative;}
.whitelabelling  .input.file img{position: absolute;top: 25px;max-height: 30px;}
/*-/-  whitelabelling  */

/*  Manage fields in manage group  */
#GroupfieldManagegroupForm div.input label{display:none;}
#GroupfieldManagegroupForm div.input input{max-width: 100%;}
#GroupfieldManagegroupForm a.addoption { clear: both;margin-bottom: 10px;}
#GroupfieldManagegroupForm span.additionalop {clear: both;float: left; width: 100%;}
#GroupfieldManagegroupForm .additionalop .arrange .left.nomargin.height50 {display: none;}
#GroupfieldManagegroupForm .additionalop .arrange span.left.itemRow {position: absolute; line-height: 35px; padding-left: 5px;}
#GroupfieldManagegroupForm .additionalop .arrange a.deletebtn {cursor: pointer;}
#GroupfieldManagegroupForm .addoption .col-lg-12, .clear.col-lg-12.arrange {padding-left: 0;clear: both;}
/*-/-  Manage fields in manage group  */

/* importfile  */
.submitnow {width: auto !important;}
.forminternal.customformwidth p.small { clear: both;float: right;}
.forminternal.customformwidth .input.resetbtn.marginleft #upload22{max-width: 102px;}
.forminternal.customformwidth .input.download.nopadding.nomargin a.font12{max-width: 112px;float:right;}
.forminternal.customformwidth .left.input.submitnow {max-width: 50%;}
/*-/- importfile  */
.cursor {
    cursor: pointer;
}

#contentcopy +div{clear:both}
form#SpamkeywordAddForm {float: left;width: 100%;}
#SmstemplateCreatetemplateForm #charsnotifybtn{display:none;}
#SmstemplateCreatetemplateForm .submitnow.col-lg-12{width:100% !important;}
#RouteAddForm .submitnow.col-lg-12{margin-top:15px;}

.g-recaptcha {
    margin: 0px 0px 20px 0px;
    transform: scale(1.06);
    transform-origin: 0 0;
}

.forminternal #UserAddForm .chosen-container,.forminternal #UserEditForm .chosen-container { min-width: 75%;}
.checkbox.switch{ margin-top: auto;}
.bottomlinks table tr td{padding: 0px;}
.bottomlinks table tr td a {font-size: 12px;}
.anchor{color:#367faa !important; cursor:pointer;}

.sms-content.preview hr {margin-top: 2px; margin-bottom: 2px;}
.sms-content.preview label { width: 125px;float: left; color: #333333;font-size: 13px;font-weight: 700; margin-bottom: 3px;line-height: 30px;}
.sms-content.preview span {line-height: 30px;font-size: 13px;}
#summaryModal .modal-backdrop.in {opacity: 0;}
#summaryModal .sendnow button{margin:0 7.5px;}

#summaryModal .left.sendnow {float: none;display: inline-block;}
#summaryModal .center {text-align: center;width: 100%;}

 small.max{display:none;}
.resend small.max{display:block;padding-right: 0px !important;}

#character, #smscount, #count, .smscounter, .max_icon { cursor: inherit;}
.forminternal .input.file span, #character, #smscount, #count, .smscounter, .max_icon { padding-right: 5px;
    font-size: 12px; color: #959595; cursor: pointer;}
.smsContent #smscount, .smsContent #count, .smsContent #status { color: #000;padding-right: 5px;}

.permissions table th, .permissions table td{
    padding: 8px;
    color: #333;
	border: 1px solid #f4f4f4;
}
.permissions .input.checkbox{ padding: 0 0 0 0;max-width: 25px;}
.permissions form .checkbox input[type=checkbox] {float: left; margin-left: 0;}
.permissions h2 {font-size: 18px;margin-top: 0px;}
.permissions table.listing th:last-child {color: #343434 !important;}
.permissions .submit label{display: none !important;}
.permissions .submit #btnSearch{margin-top: 15px;}
#KeywordAddsubkeywordForm .expirydate label{text-indent: 5px; overflow: hidden;}




/* textarea suggestion css start */
.composer, .quick-moreButton{ position: relative;}
.composer .toolbar div {margin-bottom: 0px;}
.toolbar {bottom: 17px;position: absolute;display: block;height: auto;padding: 1px;margin-bottom: 0px;z-index: 9;max-width: 75%;right: 0;}
.toolbar.hide {display:none;	}
.quick-btn { display: -webkit-box; display: -webkit-flex; display: -ms-flexbox; display: flex;  justify-content: center;}
.frmbtn {
    color: #6c6767;
    margin: 0 2px;
    align-items: center;
    border-radius: 3px;
    border: 1px solid #dddddd;
    cursor: pointer;
    display: inline-flex;
    min-width: 40px;
    text-align: center;
    -webkit-transition-duration: .2s;
    transition-duration: .2s;
    padding: 2px;
    font-size: 11px;
    }
.frmbtn:focus, .frmbtn:hover {border-color: #1591cd;color: #1591cd;background: #fff;outline: none;}
.quick-dropdown { padding: 0px; display: block; height: auto; position: absolute;width: auto; background: #fff; 
     border-radius: 3px; border: 1px solid #dddddd; right: 0px; bottom: 40px;}
.quick-dropdown .menu { max-width: 300px; min-width: 150px;padding: 0 0;}
.quick-dropdown .menu:focus {outline: none;}
.quick-dropdown .menu .menuItem {display: block; height: auto; padding: 0 10px;text-align: left;
    line-height: 30px;font-weight: normal;cursor:pointer;}
.quick-dropdown .menu .menuItem:hover {background-color: #1591cd; color: #fff;fill: #fff;}
.quick-dropdown.hide, .hide { display: none;}
/* textarea suggestion css end */

.popboxcontent table.subbtn-tbl {
    background-color: transparent;
    max-width: 400px;
    overflow-x: scroll;
    display: block;
    padding: 7px 0;
}